#
# spec file for package python3-ipy
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-ipy
Version:        0.83
Release:        2.3
License:        BSD-3-Clause
Summary:        Class and Tools for Handling of IPv4 and IPv6 Addresses and Networks
Url:            https://github.com/autocracy/python-ipy
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/I/IPy/IPy-%{version}.tar.gz
%if 0%{?suse_version} < 1230
BuildRequires:  python3
%endif
BuildRequires:  python3-devel
BuildArch:      noarch

%description
The IP class allows a comfortable parsing and handling for most
notations in use for IPv4 and IPv6 addresses and networks. It was
greatly inspired by RIPE's Perl module NET::IP's interface but
doesn't share the implementation. It doesn't share non-CIDR netmasks,
so funky stuff like a netmask of 0xffffff0f can't be done here.

%prep
%setup -q -n IPy-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{python3_sitelib}

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Apr  7 2015 arun@gmx.de
- specfile:
  * update copyright yearly
  * updated url
- update to version 0.83:
  * Add carrier grade NAT ranges
  * Unbreak lots of packing systems by not having a letter in the
    release version
- changes from version 0.82a:
  * Fix version numbers in files
  * Correct x.next() -> next(x) python3 compatability
- changes from version 0.82:
  * Add support for array slices
  * Add __and__ and isdisjoint for IPSet
  * Fix a bug in IPSet where contains may incorrectly return false
  * Added some fuzz testing
* Thu Dec 12 2013 p.drouand@gmail.com
- Initial python3 release (version 0.81)
